/*******************************************************************************
* File Name: main_cm4.c
*
* Version: 1.10
*
* Description: This file provides the source code for the Launcher (App0)
*              running on the Core M4 (Core1).
*              App0 Core1 firmware does the following:
*              - Goes into deep-sleep.
*
********************************************************************************
* \copyright
* Copyright 2016-2018, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/
#include "project.h"

/*******************************************************************************
* Function Name: main
********************************************************************************
*
* Summary:
*  Main function of App0 Core 1. Goes into deep-sleep.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/
int main(void)
{
    __enable_irq(); /* Enable global interrupts. */

    for(;;)
    {
        /* Deep sleep */
        Cy_SysPm_DeepSleep(CY_SYSPM_WAIT_FOR_INTERRUPT);
    }
}

/* [] END OF FILE */
