/***************************************************************************//**
* \file ble_bas.h
* \version 1.0
*
* \brief
* Header file for BLE Battery Service.
*
********************************************************************************
* \copyright
* Copyright 2016-2018, Cypress Semiconductor Corporation. All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/
#ifndef _BLE_BAS_H_
#define _BLE_BAS_H_

#include "ble_common.h"

/* The C binding of definitions if building with the C++ compiler */
#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************
* Macro definitions
***************************************/

/***************************************
* Data Types
***************************************/

/***************************************
* Public Function Prototypes
***************************************/
cy_en_ble_api_result_t ble_bas_init(void);
cy_en_ble_api_result_t ble_bas_send_notification(cy_stc_ble_conn_handle_t connHandle, uint8_t batteryLevel);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _BLE_BAS_H_ */

/* [] END OF FILE */
