/*******************************************************************************
* File Name: ble_ias.h
*
* Description:
*  Contains the function prototypes and constants available to the example
*  project.
*
********************************************************************************
* Copyright 2018, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/
#ifndef _BLE_IAS_H_
#define _BLE_IAS_H_

#include <project.h>

/* The C binding of definitions if building with the C++ compiler */
#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************
*          API Constants
***************************************/
#define NO_ALERT                (0u)
#define MILD_ALERT              (1u)
#define HIGH_ALERT              (2u)

/***************************************
*       Function Prototypes
***************************************/
void ble_ias_init(void);
void ble_ias_event_handler(uint32_t event, void *eventParam);

/***************************************
* External data references
***************************************/
extern volatile uint8_t alertLevel;

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _BLE_IAS_H_ */

/* [] END OF FILE */
