/***************************************************************************//**
* \file config.h
* \version 1.0
*
* \brief
* Header file for project configuartion.
*
********************************************************************************
* \copyright
* Copyright 2016-2018, Cypress Semiconductor Corporation. All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/
#ifndef _CONFIG_H_
#define _CONFIG_H_

#include <project.h>
#include <stdio.h>

/***************************************
* Macro definitions
***************************************/
/**
 * @brief Enabled and disabled marco definition.
 */
#ifndef ENABLED
#define ENABLED                                         (1u)
#endif
#ifndef DISABLED
#define DISABLED                                        (0u)
#endif

/**
 * @brief The FPMM host communication interface definition.
 */
#define FPMM_COMM_INTERFACE_UART                        (0u)
#define FPMM_COMM_INTERFACE_BLE                         (1u)

/**
 * @brief Configure the FPMM host communication interface.
 */
#define CONFIG_FPMM_COMM_INTERFACE                      FPMM_COMM_INTERFACE_BLE

/**
 * @brief Enable or disable the BLE uart debug function.
 */
#if (CONFIG_FPMM_COMM_INTERFACE == FPMM_COMM_INTERFACE_UART)
#define BLE_DEBUG_UART_ENABLED                          DISABLED
#else
#define BLE_DEBUG_UART_ENABLED                          ENABLED
#endif

/**
 * @brief Enable or Disable the system low power function
 */
#define ENABLE_SYS_LPM_FUNCTION                         DISABLED

/**
 * @brief Enable or disable FPMM command resposne echo.
 */
#define ENABLE_FPMM_CMD_RESPONSE_ECHO                   DISABLED

/* FPMM Command response echo string */
#define FPMMCMD_RESPONSE_ECHO_STRING                    "CY"

/***************************************
* Data Types
***************************************/


#endif /* _CONFIG_H_ */

/* [] END OF FILE */
